---
title: order
slug: Web/CSS/order
tags:
  - CSS
  - CSS Flexible Boxes
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>order</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the order to lay out an item in a flex or grid container. Items in a container are sorted by ascending <code>order</code> value and then by their source code order.</p>

<div>{{EmbedInteractiveExample("pages/css/order.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;integer&gt; values */
order: 5;
order: -5;

/* Global values */
order: inherit;
order: initial;
order: unset;</pre>

<p>Since <code>order</code> is only meant to affect the <em>visual order</em> of elements and not their logical or tab order. <code>order</code> must not be used on non-visual media such as <a href="/en-US/docs/Web/CSS/@media#speech">speech</a>.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>Represents the ordinal group to be used by the item.</dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>Using the <code>order</code> property will create a disconnect between the visual presentation of content and DOM order. This will adversely affect users experiencing low vision navigating with the aid of assistive technology such as a screen reader. If the visual (css) order is important, then screen reader users will not have access to the correct reading order.</p>

<ul>
 <li><a href="https://tink.uk/flexbox-the-keyboard-navigation-disconnect/">Flexbox &amp; the keyboard navigation disconnect — Tink</a></li>
 <li><a href="http://adrianroselli.com/2015/09/source-order-matters.html">Source Order Matters | Adrian Roselli</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.3_%E2%80%94_Create_content_that_can_be_presented_in_different_ways">MDN Understanding WCAG, Guideline 1.3 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/content-structure-separation-sequence.html">Understanding Success Criterion 1.3.2 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Ordering_items_in_a_flex_container">Ordering items in a flex container</h3>

<p>This example uses CSS to create a classic two-sidebar layout surrounding a content block. The Flexible Box Layout Module automatically creates blocks of equal vertical size and uses as much horizontal space as available.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush:html; notranslate">&lt;header&gt;...&lt;/header&gt;
&lt;main&gt;
  &lt;article&gt;Article&lt;/article&gt;
  &lt;nav&gt;Nav&lt;/nav&gt;
  &lt;aside&gt;Aside&lt;/aside&gt;
&lt;/main&gt;
&lt;footer&gt;...&lt;/footer&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css; notranslate">main { display: flex;  text-align:center; }
main &gt; article { flex:1;        order: 2; }
main &gt; nav     { width: 200px;  order: 1; }
main &gt; aside   { width: 200px;  order: 3; }</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Ordering_items_in_a_flex_container') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Flexbox', '#order-property', 'order')}}</td>
   <td>{{Spec2('CSS3 Flexbox')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<p>{{cssinfo}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.order")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>CSS Flexbox Guide: <em><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Basic_Concepts_of_Flexbox">Basic Concepts of Flexbox</a></em></li>
 <li>CSS Flexbox Guide: <em><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Ordering_Flex_Items">Ordering flex items</a></em></li>
 <li>CSS Grid Guide: <em><a href="/en-US/docs/Web/CSS/CSS_Grid_Layout/CSS_Grid_Layout_and_Accessibility">CSS Grid Layout and accessibility</a></em></li>
</ul>
